package com.ruoyi.system.domain.fgw;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 发改委_预警配置对象 fgw_yjpz
 * 
 * @author ruoyi
 * @date 2023-03-30
 */
public class FgwYjpz extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 预警天数 */
    @Excel(name = "预警天数")
    private Long yjts;

    /** 严重超期天数（红牌预警） */
    @Excel(name = "严重超期天数")
    private Long yzcqts;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setYjts(Long yjts) 
    {
        this.yjts = yjts;
    }

    public Long getYjts() 
    {
        return yjts;
    }
    public void setYzcqts(Long yzcqts) 
    {
        this.yzcqts = yzcqts;
    }

    public Long getYzcqts() 
    {
        return yzcqts;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("yjts", getYjts())
            .append("yzcqts", getYzcqts())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
